aboutsummaryrefslogtreecommitdiff
path: root/net/AquaGatekeeper/pkg-install
diff options
context:
space:
mode:
authorKirill Ponomarev <krion@FreeBSD.org>2003-11-02 17:37:15 +0000
committerKirill Ponomarev <krion@FreeBSD.org>2003-11-02 17:37:15 +0000
commit15c908ce36dec2f686c6832b2746eebe86d5c722 (patch)
tree94ae3d85184e0c84fd68b58c191a9a984dc98eb6 /net/AquaGatekeeper/pkg-install
parent85ac5c06a67a8075f5d888b8758a54734156bef7 (diff)
downloadports-15c908ce36dec2f686c6832b2746eebe86d5c722.tar.gz
ports-15c908ce36dec2f686c6832b2746eebe86d5c722.zip
Notes
Diffstat (limited to 'net/AquaGatekeeper/pkg-install')
-rw-r--r--net/AquaGatekeeper/pkg-install80
1 files changed, 80 insertions, 0 deletions
diff --git a/net/AquaGatekeeper/pkg-install b/net/AquaGatekeeper/pkg-install
new file mode 100644
index 000000000000..233bb70ff96a
--- /dev/null
+++ b/net/AquaGatekeeper/pkg-install
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+USER=agk
+UID=172
+GROUP=${USER}
+GID=${UID}
+
+ask() {
+ local question default answer
+
+ question=$1
+ default=$2
+ if [ -z "${PACKAGE_BUILDING}" ]; then
+ read -p "${question} [${default}]? " answer
+ fi
+ if [ x${answer} = x ]; then
+ answer=${default}
+ fi
+ echo ${answer}
+}
+
+yesno() {
+ local dflt question answer
+
+ question=$1
+ dflt=$2
+ while :; do
+ answer=$(ask "${question}" "${dflt}")
+ case "${answer}" in
+ [Yy]*) return 0;;
+ [Nn]*) return 1;;
+ esac
+ echo "Please answer yes or no."
+ done
+}
+
+make_account() {
+ local u g uid gid gcos
+
+ u=$1
+ uid=$2
+ g=$3
+ gid=$4
+ gcos=$5
+
+ if pw group show "${g}" >/dev/null 2>&1; then
+ echo "You already have a group \"${g}\", so I will use it."
+ else
+ echo "You need a group \"${g}\"."
+ if which -s pw && yesno "Would you like me to create it" y; then
+ pw groupadd -n ${g} -g ${gid} || exit
+ echo "Done."
+ else
+ echo "Please create it, and try again."
+ if ! grep -q "^${u}:" /etc/passwd; then
+ echo "While you're at it, please create a user \"${u}\" too,"
+ echo "with a default group of \"${g}\"."
+ fi
+ exit 1
+ fi
+ fi
+
+ if pw user show "${u}" >/dev/null 2>&1; then
+ echo "You already have a user \"${u}\", so I will use it."
+ else
+ echo "You need a user \"${u}\"."
+ if which -s pw && yesno "Would you like me to create it" y; then
+ pw useradd -n ${u} -u ${uid} -g ${g} -h - -d /nonexistent \
+ -s /nonexistent -c "${gcos}" || exit
+ echo "Done."
+ else
+ echo "Please create it, and try again."
+ exit 1
+ fi
+ fi
+}
+
+[ "$2" = POST-INSTALL ] || exit 0
+
+make_account ${USER} ${UID} ${GROUP} ${GID} "AquaGateKeeper"